###################################################
### chunk number 45: 
###################################################
system("g.version", intern=TRUE)
library(spgrass6)
gmeta6()


###################################################
### chunk number 46: 
###################################################
spear <- readRAST6(c("elevation.dem", "geology"), cat=c(FALSE, TRUE))


###################################################
### chunk number 47: 
###################################################
summary(spear)


###################################################
### chunk number 48: 
###################################################
oopar <- par(mar=c(4,4,2,2)+0.1)
plot(ecdf(spear$elevation.dem), pch=".", main="")


###################################################
### chunk number 49: 
###################################################
oopar <- par(mar=c(4,7,2,2)+0.1, las=1)
tg <- table(spear$geology)
boxplot(elevation.dem ~ geology, spear, width=tg, horizontal=TRUE)
par(oopar)


###################################################
### chunk number 50: 
###################################################
table(spear$geology)
system("r.stats --q -cl geology", intern=TRUE)
# for GRASS 6.2, use -q

###################################################
### chunk number 51: 
###################################################
bugsDF <- readVECT6("bugsites")


###################################################
### chunk number 52: 
###################################################
vInfo("streams")


###################################################
### chunk number 53: 
###################################################
streams <- readVECT6("streams", type="line,boundary", remove.duplicates=FALSE)


###################################################
### chunk number 54: 
###################################################
summary(bugsDF)



